Index: security/openssh/options.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/openssh/options.mk,v
retrieving revision 1.15
diff -u -p -r1.15 options.mk
--- security/openssh/options.mk	27 Apr 2008 00:34:27 -0000	1.15
+++ security/openssh/options.mk	5 Jun 2008 09:51:08 -0000
@@ -3,7 +3,7 @@
 .include "../../mk/bsd.prefs.mk"
 
 PKG_OPTIONS_VAR=	PKG_OPTIONS.openssh
-PKG_SUPPORTED_OPTIONS=	kerberos hpn-patch
+PKG_SUPPORTED_OPTIONS=	kerberos hpn-patch ssl-engine
 
 .if !empty(OPSYS:MLinux)
 PKG_SUPPORTED_OPTIONS+= pam
@@ -31,3 +31,7 @@ PLIST_SRC+=		${.CURDIR}/PLIST.pam
 MESSAGE_SRC+=		${.CURDIR}/MESSAGE.pam
 MESSAGE_SUBST+=		EGDIR=${EGDIR}
 .endif
+
+.if !empty(PKG_OPTIONS:Mssl-engine)
+CONFIGURE_ARGS+=	--with-ssl-engine
+.endif
